# List Storages

Source: https://next.coolify.io/docs/api/endpoints/services/list-storages-by-service-uuid

## GET /services/{uuid}/storages

List Storages

List all persistent storages and file storages by service UUID.

**Authentication:** Bearer token (`bearerAuth`)

### Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| uuid | path | yes | string | UUID of the service. |

### Responses

#### 200

All storages by service UUID.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| persistent_storages | array of object | no |  |
| file_storages | array of object | no |  |

#### 400

Invalid token.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 401

Unauthenticated.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 404

Resource not found.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |
